/**************************************************  DMA Functions Header  ***************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	Rev History: 5-1-2012:	Inital release.

	Copyright 2012, Red Rapids, Inc.

**************************************************  DMA Functions Header  ***************************************************/

#ifndef _DMA_FUNCTIONS_H_
#define _DMA_FUNCTIONS_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Prototypes for each of the DMA functions.
unsigned long DMAAllocate(s_Adapter *p_HW, unsigned long ChannelNumber, s_DMABuffer DMABuffer);
unsigned long DMAFree(s_Adapter *p_HW, unsigned long ChannelNumber);
unsigned long DMACurrentPage(s_Adapter *p_HW, unsigned long ChannelNumber);
unsigned long DMACurrentBurst(s_Adapter *p_HW, unsigned long ChannelNumber);
unsigned long DMAConfigCheck(s_DMABuffer DMABuffer, size_t SettingNumber);

#ifdef __cplusplus
}
#endif

#endif
